Package org.eclipse.cdt.core.resources

# Interface IPathEntryVariableChangeListener

All Superinterfaces:
  `EventListener`

public interface IPathEntryVariableChangeListener extends EventListener
An interface to be implemented by objects interested in path variable creation, removal and value change events.

Clients may implement this interface.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`pathVariableChanged(PathEntryVariableChangeEvent event)`
Notification that a path variable has changed.

## Method Details

### pathVariableChanged

void pathVariableChanged(PathEntryVariableChangeEvent event)
Notification that a path variable has changed.

This method is called when a path variable is added, removed or has its value changed in the observed `IPathVariableManager` object.

Parameters:
  `event` - the path variable change event object describing which variable changed and how
See Also:
  - `IPathEntryVariableManager.addChangeListener(IPathEntryVariableChangeListener)`
  - `IPathEntryVariableManager.removeChangeListener(IPathEntryVariableChangeListener)`
  - `PathEntryVariableChangeEvent`